<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="./appform_report_common.xsl"/>
<xsl:include href="./appform_report_personal_details_awt.xsl"/>
<xsl:include href="./appform_report_plan_details_awt.xsl"/>
<xsl:include href="./appform_report_residency.xsl"/>
<xsl:include href="./appform_report_declaration.xsl"/>

<xsl:template match="/">
<html>
<head>
<link rel="stylesheet" type="text/css" href="style.css"></link>
</head>

<body>
  <div style="margin: .25in .25in .25in .25in;">

    <xsl:call-template    name  ="appform_pdf_header"/>

    <xsl:variable         name="isFirstParty">
      <xsl:value-of       select="/root/proposer/extra/isPhSameAsLa"/>  
    </xsl:variable>

    <xsl:choose>
      <xsl:when test="$isFirstParty = 'Y'">
        <xsl:call-template    name  ="appform_awt_personal_details_first_party">
          <xsl:with-param     name  ="nodePh" select="/root/proposer"/>
        </xsl:call-template>
      </xsl:when>
      
      <xsl:otherwise>
        <xsl:call-template    name  ="appform_awt_personal_details_third_party">
          <xsl:with-param     name  ="nodePh" select="/root/proposer"/>
          <xsl:with-param     name  ="nodeLa" select="/root/insured"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>

    
    <xsl:call-template    name  ="appform_awt_plan_details">
      <xsl:with-param     name  ="nodePlan" select="/root/planDetails"/>
	  </xsl:call-template>
    
    <xsl:call-template    name  ="appform_pdf_residency"/>
    <xsl:call-template    name  ="appform_pdf_declaration"/>
    <xsl:call-template    name  ="appform_pdf_signature"/>
    

  </div>
</body>

</html>
</xsl:template>

</xsl:stylesheet>
